{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}
{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}
{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}
{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}
{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}
{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}
Annotation Queues
Create annotation queue records
Add new records from spans, traces, sessions, or dataset examples to an existing annotation queue.
Payload Requirements
At least one record source is required.
At most 2 record sources are allowed per request
For project record sources: start_time must be before end_time, and the range must not exceed 7 days.
For dataset record source: all example_ids must be non-empty strings.
For project record source:
span records: all span_ids must be non-empty strings.
trace records: all trace_ids must be non-empty strings.
session records: all session_ids must be non-empty strings.
At most 500 records total may be added in one request.
At most 100 session records total may be added in one request.
If no example_ids are provided for a dataset record source, all examples in the dataset will be added to the queue only when the total records from all sources does not exceed 500.
Response codes
201 Created: at least one new record was added to the queue.
200 OK: the request was valid but all record sources were already present
in the queue — no new records were inserted. The record_sources array in
the response body will be empty.
{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}
{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}
{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}
{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}
{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}
{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Record sources to add to the annotation queue. At most 2 record sources (projects or datasets) may be provided in a single request. The total number of records resolved from all sources must not exceed 500. The total number of session records across all sources must not exceed 100.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Arize AX Docs","colors":{"primary":"#7A0047","light":"#FF8AC8","dark":"#FF74BF"},"logo":{"light":"https://mintcdn.com/arize-ax/V-uvingrGLOCK4VD/logo/light.svg?fit=max\u0026auto=format\u0026n=V-uvingrGLOCK4VD\u0026q=85\u0026s=cc58ee9388d5b5253d39b65cc662908f","dark":"https://mintcdn.com/arize-ax/V-uvingrGLOCK4VD/logo/dark.svg?fit=max\u0026auto=format\u0026n=V-uvingrGLOCK4VD\u0026q=85\u0026s=b16a0266f5913934131301a1b60af51e","href":"https://arize.com"},"favicon":"https://mintcdn.com/arize-ax/1gcABHkqP5TIGbru/favicon.ico?fit=max\u0026auto=format\u0026n=1gcABHkqP5TIGbru\u0026q=85\u0026s=aef538e87b54a3c819583bc40acfc2f8","appearance":{"default":"dark"},"background":{"color":{"light":"#FFFFFF","dark":"#0A0A12"}},"navbar":{"links":[],"primary":{"type":"button","label":"Get started","href":"https://app.arize.com/auth/join"}},"footer":{"socials":{"x":"https://x.com/arizeai","bluesky":"https://bsky.app/profile/arize.bsky.social","threads":"https://www.threads.com/@arize.ai","instagram":"https://www.instagram.com/arize_ai","linkedin":"https://www.linkedin.com/company/arizeai","youtube":"https://youtube.com/@arizeai","slack":"https://arize-ai.slack.com/ssb/redirect","website":"https://fosstodon.org/@arizeai"},"links":[{"header":"Support","items":[{"label":"Chat Us On Slack","href":"https://arize-ai.slack.com/ssb/redirect"},{"label":"support@arize.com","href":"mailto:support@arize.com"},{"label":"System Status","href":"https://status.arize.com"}]},{"header":"Get Started","items":[{"label":"Signup For Free","href":"https://arize.com/join"},{"label":"Book A Demo","href":"https://arize.com/request-a-demo"}]},{"header":"Resources","items":[{"label":"Blog","href":"https://arize.com/blog"}]}]},"seo":{"metatags":{"canonical":"https://arize.com/docs"},"indexing":"all"},"fonts":{"heading":{"family":"Geist","weight":600},"body":{"family":"Geist"}},"styling":{"codeblocks":{"theme":{"light":"github-light-default","dark":"github-dark-default"}},"latex":true},"integrations":{"gtm":{"tagId":"GTM-W96XM35"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"interaction":{"drilldown":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"arize-ax","hasAudioNarration":false,"actualSubdomain":"arize-ax","customDomains":[],"gitSource":{"type":"github","owner":"arize-ai","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"contextualFeedback":{"allowEmail":true,"emailDisclaimer":"We will only use your email to follow up with you about this feedback."}},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af2624cfeaa11ea2e87f343","clientVersion":"0.0.4094","searchFilterCounts":[{"language":"default","tag":"APIs, SDKs, Skills \u0026 MCP","count":369},{"language":"default","tag":"Get Started","count":250},{"language":"default","tag":"API reference","count":214},{"language":"default","tag":"REST","count":181},{"language":"default","tag":"Endpoints","count":178},{"language":"default","tag":"API clients","count":143},{"language":"default","tag":"Machine Learning","count":139},{"language":"default","tag":"ML observability","count":139},{"language":"default","tag":"Integrations","count":129},{"language":"default","tag":"Python SDK","count":67}]},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":true,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@arize.com"}},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"starterQuestions":[{"_id":"6944513fe59e82150b5700b3","deploymentId":"6894ef048eafbd2a7c20796e","questionText":"Need more help? Ask our team in #arize-ax-platform-support on community Slack.","status":"active","generatedBy":"manual","createdAt":"2025-12-18T19:08:47.802Z","updatedAt":"2025-12-18T19:15:01.436Z","__v":0}],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":"/* cyrillic-ext */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 300;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrodmgPn.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 300;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrMdmgPn.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* symbols2 */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 300;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFg08vz7ehw.woff2) format('woff2');\n unicode-range: U+2000-2001, U+2004-2008, U+200A, U+23B8-23BD, U+2500-259F;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 300;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrgdmgPn.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 300;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrkdmgPn.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 300;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrcdmg.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrodmgPn.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrMdmgPn.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* symbols2 */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFg08vz7ehw.woff2) format('woff2');\n unicode-range: U+2000-2001, U+2004-2008, U+200A, U+23B8-23BD, U+2500-259F;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrgdmgPn.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrkdmgPn.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrcdmg.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 500;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrodmgPn.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 500;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrMdmgPn.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* symbols2 */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 500;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFg08vz7ehw.woff2) format('woff2');\n unicode-range: U+2000-2001, U+2004-2008, U+200A, U+23B8-23BD, U+2500-259F;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 500;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrgdmgPn.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 500;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrkdmgPn.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 500;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrcdmg.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrodmgPn.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrMdmgPn.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* symbols2 */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFg08vz7ehw.woff2) format('woff2');\n unicode-range: U+2000-2001, U+2004-2008, U+200A, U+23B8-23BD, U+2500-259F;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrgdmgPn.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrkdmgPn.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/docs/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrcdmg.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\nhtml:root{--font-family-mono-custom: 'Geist Mono'}html:root{--gray-50: 248 248 246;--gray-100: 242 242 237;--gray-200: 230 230 223;--gray-300: 205 205 200;--gray-400: 179 179 191;--gray-500: 138 138 150;--gray-600: 91 91 105;--gray-700: 62 62 78;--gray-800: 46 46 61;--gray-900: 21 21 31;--gray-950: 10 10 18}html:root{--ax-radius-sm: 2px;--ax-radius-md: 6px;--ax-radius-lg: 8px;--ax-accent-bg: #FF74BF;--ax-panel: #CDBEF7;--ax-panel-2: #E3DBFC;--ax-panel-code: #FFFFFF;--ax-panel-border: rgba(19, 22, 64, 0.22);--ax-panel-icon: #4827C1;--ax-panel-t1: #121221;--ax-panel-t2: #2A2A38;--ax-panel-accent: #6E1046;--ax-panel-code-kw: #3F4110;--ax-panel-code-flag: #5A3200;--ax-panel-code-url: #004A70;--ax-panel-selection: #FFE9F4}html:not(.dark){--ax-bg: #FFFFFF;--ax-surface: #F8F8F4;--ax-code-bg: #F5F5ED;--ax-chip: #EDEDE2;--ax-line: rgba(19, 22, 64, 0.20);--ax-t1: #121221;--ax-t2: #2E2E3D;--ax-t3: #3E3E4E;--ax-accent: #7A0047;--ax-accent-line: rgba(255, 98, 182, 0.55);--ax-accent-soft: #FFE9F4;--ax-on-accent: #121221;--ax-note: #E8F3EC;--ax-note-line: rgba(30, 70, 50, 0.24);--ax-note-t: #1B4230;--ax-warn: #FBEEE0;--ax-warn-line: rgba(90, 50, 0, 0.24);--ax-warn-t: #54300A;--ax-blue: #E7F3FD;--ax-blue-line: rgba(0, 82, 125, 0.24);--ax-blue-t: #00527D;--ax-danger: #FFEBE9;--ax-danger-line: rgba(207, 34, 46, 0.28);--ax-danger-t: #A40E26}html.dark{--ax-bg: #0A0A12;--ax-surface: #15151F;--ax-code-bg: #05050B;--ax-chip: #221B3A;--ax-line: rgba(247, 247, 252, 0.16);--ax-t1: #F5F5FA;--ax-t2: #DCDCE6;--ax-t3: #B3B3C4;--ax-accent: #FF8AC8;--ax-accent-line: rgba(255, 138, 200, 0.45);--ax-accent-soft: #2A1425;--ax-on-accent: #0A0A12;--ax-note: #10241A;--ax-note-line: rgba(159, 224, 188, 0.30);--ax-note-t: #9FE0BC;--ax-warn: #2A1B0A;--ax-warn-line: rgba(255, 201, 138, 0.30);--ax-warn-t: #FFC98A;--ax-blue: #0A1A24;--ax-blue-line: rgba(57, 195, 255, 0.30);--ax-blue-t: #97D8FF;--ax-danger: #2A0F12;--ax-danger-line: rgba(255, 138, 148, 0.30);--ax-danger-t: #FFB3B8}#content{line-height:1.75}#page-title,#content h1{font-size:clamp(2rem, 1.4rem + 2.1vw, 2.875rem);line-height:1.12;letter-spacing:-0.02em;font-weight:600}#content h2,#content h3,#content h4{letter-spacing:-0.01em;font-weight:600}#content code,#content kbd,#content samp{font-feature-settings:'tnum' 1}#content a:not(.card){color:var(--ax-accent);text-decoration-thickness:1px;text-underline-offset:3px}:focus-visible{outline:2px solid var(--ax-accent-line);outline-offset:2px}html.dark :focus-visible{outline-color:var(--ax-accent-line)}::selection{background:var(--ax-accent-soft)}#navbar{background:var(--ax-bg);border-bottom:1px solid var(--ax-line)}#navbar div:has(>.nav-tabs){position:relative}#navbar div:has(>.nav-tabs)::before{content:'';position:absolute;top:0;left:50%;width:100vw;margin-left:-50vw;border-top:1px solid var(--ax-line);pointer-events:none}.nav-tabs-item[data-active]{box-shadow:inset 0 -2px 0 var(--ax-accent)}.ax-product-selector{position:relative;display:inline-flex;align-items:stretch;flex:0 0 auto}.ax-product-selector--desktop{margin-left:0.75rem;align-self:center}.page-context-dropdown__label{font-family:inherit;font-weight:400}.page-context-dropdown__chevron>span{display:inline-block;transition:transform 150ms ease}.page-context-dropdown__chevron svg{display:block;width:1rem;height:1rem}.page-context-dropdown__chevron[aria-expanded=\"true\"]>span{transform:rotate(180deg)}.page-context-dropdown__menu{position:absolute;z-index:60;top:calc(100% + 0.55rem);right:0;min-width:12.5rem;padding:0.4rem;background:var(--ax-bg);border:1px solid var(--ax-line);border-radius:var(--ax-radius-md);box-shadow:0 0.75rem 1.5rem rgb(10 10 18 / 0.18)}.ax-product-selector--desktop .page-context-dropdown__menu{right:auto;left:0}.page-context-dropdown__menu[hidden]{display:none}.page-context-dropdown__item{display:flex;align-items:center;justify-content:space-between;min-height:2.5rem;padding:0.55rem 0.65rem;color:var(--ax-t1);border-radius:var(--ax-radius-sm);font-size:0.9375rem;font-weight:400;text-decoration:none;transition:background-color 150ms ease, color 150ms ease}.page-context-dropdown__item:hover,.page-context-dropdown__item:focus-visible{color:var(--ax-accent);background:var(--ax-accent-soft)}.page-context-dropdown__item[data-selected=\"true\"]{color:var(--ax-accent);font-weight:500}.page-context-dropdown__item[data-selected=\"true\"]::after{content:'✓';margin-left:1.5rem;color:var(--ax-accent);font-size:0.875rem}@media (prefers-reduced-motion: reduce){.page-context-dropdown__chevron>span,.page-context-dropdown__item{transition:none}}@media (max-width: 767px){#navbar .ax-product-selector--desktop{display:none}#mobile-nav-content .ax-product-selector--mobile{margin:0.5rem 0 1rem}#mobile-nav-content .page-context-dropdown__label{flex:1 1 auto}#mobile-nav-content .page-context-dropdown__chevron{flex:0 0 auto}#mobile-nav-content .page-context-dropdown__menu{position:static;margin-top:0.4rem}}#topbar-cta-button{background:var(--ax-accent-bg);color:var(--ax-on-accent);border-radius:var(--ax-radius-md);border:none}#topbar-cta-button span,#topbar-cta-button svg{color:var(--ax-on-accent)!important}#search-bar-entry{background:var(--ax-surface);border:1px solid var(--ax-line);border-radius:var(--ax-radius-md)}#assistant-entry{background:var(--ax-surface);border:1px solid var(--ax-accent-line);border-radius:var(--ax-radius-md)}#assistant-entry svg{color:var(--ax-accent)}#page-context-menu,.page-context-dropdown{font-size:0.9375rem;align-items:stretch}#page-context-menu-button,.page-context-dropdown__label{display:inline-flex;align-items:center;padding:10px 14px;border-radius:var(--ax-radius-md) 0 0 var(--ax-radius-md);background:var(--ax-surface);border-color:var(--ax-line);color:var(--ax-t1);border:1px solid var(--ax-line);text-decoration:none}#page-context-menu-button>div{font-size:0.9375rem;gap:9px}#page-context-menu>button[aria-haspopup],.page-context-dropdown__chevron{height:auto;align-self:stretch;aspect-ratio:auto;padding:10px 11px;border-radius:0 var(--ax-radius-md) var(--ax-radius-md) 0;background:var(--ax-surface);border-color:var(--ax-line);color:var(--ax-t3);border:1px solid var(--ax-line);border-left:0;cursor:pointer}#sidebar-content li[data-active]>a{background:var(--ax-accent-soft);color:var(--ax-accent);border-radius:var(--ax-radius-md);font-weight:500}.sidebar-group-header{font-weight:600;color:var(--ax-t1)}.toc-item[data-active],.toc-item[data-active] a{color:var(--ax-accent);font-weight:400}.card.card{background:var(--ax-surface);border-color:var(--ax-line);border-radius:var(--ax-radius-lg);box-shadow:none}.frame.frame{background:var(--ax-surface);border:1px solid var(--ax-line);border-radius:var(--ax-radius-lg)}.accordion.accordion,.accordion-group.accordion-group{border-radius:var(--ax-radius-md);border-color:var(--ax-line)}.accordion.accordion{background:var(--ax-surface)}.code-block.code-block,.code-group.code-group{background:var(--ax-code-bg);border-color:var(--ax-line);border-radius:var(--ax-radius-md)}.code-block-background{background:var(--ax-code-bg)!important}html.dark .code-block-background{background:var(--ax-code-bg)!important}#content :not(pre)>code{background:var(--ax-chip);border-radius:var(--ax-radius-sm)}.code-block:has([data-floating-buttons]) [data-fade-overlay]{background-image:none}[data-floating-buttons] button{background:var(--ax-chip)}.callout .code-block.code-block,.callout .code-group.code-group,.callout .code-block-background,html.dark .callout .code-block-background{background:var(--ax-bg)!important}.callout{border-radius:var(--ax-radius-lg)}.callout[data-callout-type=\"callout\"],.callout[data-callout-type=\"info\"]{background:var(--ax-surface);border-color:var(--ax-line)}.callout[data-callout-type=\"callout\"] [data-component-part=\"callout-content\"],.callout[data-callout-type=\"info\"] [data-component-part=\"callout-content\"]{color:var(--ax-t2)!important}.callout[data-callout-type=\"tip\"],.callout[data-callout-type=\"check\"]{background:var(--ax-note);border-color:var(--ax-note-line)}.callout[data-callout-type=\"tip\"] [data-component-part=\"callout-content\"],.callout[data-callout-type=\"check\"] [data-component-part=\"callout-content\"]{color:var(--ax-note-t)!important}.callout[data-callout-type=\"warning\"]{background:var(--ax-warn);border-color:var(--ax-warn-line)}.callout[data-callout-type=\"warning\"] [data-component-part=\"callout-content\"]{color:var(--ax-warn-t)!important}.callout[data-callout-type=\"note\"]{background:var(--ax-blue);border-color:var(--ax-blue-line)}.callout[data-callout-type=\"note\"] [data-component-part=\"callout-content\"]{color:var(--ax-blue-t)!important}.callout[data-callout-type=\"danger\"]{background:var(--ax-danger);border-color:var(--ax-danger-line)}.callout[data-callout-type=\"danger\"] [data-component-part=\"callout-content\"]{color:var(--ax-danger-t)!important}[data-component-part=\"step-number\"]>div{background:var(--ax-accent-soft);border:1px solid var(--ax-accent-line);color:var(--ax-accent);font-weight:500}.update.update-container{flex-direction:column;gap:0.5rem;border-top:1px solid var(--ax-line)}.update.update-container:first-of-type{border-top:none}.update.update-container>div:first-child{width:100%;position:static}.update.update-container>div:last-child{width:100%;max-width:none}#content th{color:var(--ax-t1);font-weight:600;border-bottom:1px solid var(--ax-line)}#content td{border-bottom:1px solid var(--ax-line)}footer{border-top:1px solid var(--ax-line)}.ax-hero .callout{background:var(--ax-panel);border-color:var(--ax-panel-border);border-radius:var(--ax-radius-lg)}.ax-hero .callout [data-component-part=\"callout-content\"],.ax-hero .callout p,.ax-hero .callout li{color:var(--ax-panel-t2)!important}.ax-hero .callout h2,.ax-hero .callout h3,.ax-hero .callout strong{color:var(--ax-panel-t1)!important}.ax-hero .callout [data-component-part=\"callout-icon\"] svg{background:var(--ax-panel-icon)!important}.ax-hero .code-block,.ax-hero .code-group,.ax-hero .code-block-background{background:var(--ax-panel-code)!important;border-color:var(--ax-panel-border)}.ax-hero .code-block,.ax-hero .code-group{padding:0;overflow:hidden}html.dark .ax-hero .code-block,html.dark .ax-hero .code-group,html.dark .ax-hero .code-block-background,html.dark .ax-hero .shiki,html:not(.dark) .ax-hero .code-block,html:not(.dark) .ax-hero .code-group,html:not(.dark) .ax-hero .code-block-background{background:var(--ax-panel-code)!important}html.dark .ax-hero .shiki,html.dark .ax-hero .shiki span{color:var(--ax-panel-t1)!important}html.dark .ax-hero .shiki span[style*=\"#FFA657\"]{color:var(--ax-panel-code-kw)!important}html.dark .ax-hero .shiki span[style*=\"#79C0FF\"]{color:var(--ax-panel-code-flag)!important}html.dark .ax-hero .shiki span[style*=\"#A5D6FF\"]{color:var(--ax-panel-code-url)!important}.ax-hero .code-group>div:first-child,html.dark .ax-hero .code-group>div:first-child{background:var(--ax-panel-2)!important;border-bottom:1px solid var(--ax-panel-border)}.ax-hero .code-group [role=\"tab\"]{color:var(--ax-panel-t2)!important}.ax-hero .code-group [role=\"tab\"][aria-selected=\"true\"]{color:var(--ax-panel-accent)!important}.ax-hero .code-group [role=\"tab\"][aria-selected=\"true\"]>div:last-child{background:var(--ax-panel-accent)!important}.ax-hero .code-block svg,.ax-hero .code-group svg{color:var(--ax-panel-t2)}html.dark .ax-hero [data-fade-overlay]{background-image:linear-gradient(\n to right,\n rgb(255 255 255 / 0) 0,\n rgb(255 255 255 / 0.2) 10px,\n rgb(255 255 255 / 0.5) 25px,\n rgb(255 255 255 / 0.8) 35px,\n rgb(255 255 255) 45px\n )}.ax-hero .callout a{color:var(--ax-panel-accent)!important}.ax-hero::selection,.ax-hero ::selection{background:var(--ax-panel-selection)}.card-group .card img{max-height:197px!important}.card-group[class$=\"-2\"] .card img{height:160px!important}.card-group[class$=\"-3\"] .card img{height:150px!important}table{display:table!important}.step-title{font-size:1.5rem!important}"}],"page":{"pagePath":"api-reference/annotation-queues/create-annotation-queue-records","slug":"/api-reference/annotation-queues/create-annotation-queue-records","pageMetadata":{"title":"Create annotation queue records","description":"Add new records from spans, traces, sessions, or dataset examples to an existing annotation queue.\n\n**Payload Requirements**\n - At least one record source is required.\n - At most 2 record sources are allowed per request\n - For project record sources: `start_time` must be before `end_time`, and the range must not exceed 7 days.\n - For dataset record source: all `example_ids` must be non-empty strings.\n - For project record source:\n - span records: all `span_ids` must be non-empty strings.\n - trace records: all `trace_ids` must be non-empty strings.\n - session records: all `session_ids` must be non-empty strings.\n - At most 500 records total may be added in one request.\n - At most 100 session records total may be added in one request.\n\n**Valid example (span record)**\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"SPAN\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-15T00:00:00Z\",\n \"end_time\": \"2026-01-16T00:00:00Z\",\n \"span_ids\": [\"U3BhbjoxOmFCY0Q=\"]\n }\n ]\n}\n```\n\n**Valid example (trace record)**\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"TRACE\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-15T00:00:00Z\",\n \"end_time\": \"2026-01-16T00:00:00Z\",\n \"trace_ids\": [\"8fe3373f-0da4-4a8e-b57f-5c8878cfb747\"]\n }\n ]\n}\n```\n\n**Valid example (session record)**\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"SESSION\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-15T00:00:00Z\",\n \"end_time\": \"2026-01-16T00:00:00Z\",\n \"session_ids\": [\"session-123\"]\n }\n ]\n}\n```\n\n**Invalid example** (span record with `start_time` after `end_time`)\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"SPAN\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-20T00:00:00Z\",\n \"end_time\": \"2026-01-15T00:00:00Z\",\n \"span_ids\": [\"U3BhbjoxOmFCY0Q=\"]\n }\n ]\n}\n```\n\n\u003cNote>If no example_ids are provided for a dataset record source, all examples in the dataset will be added to the queue only when the total records from all sources does not exceed 500.\u003c/Note>\n\n**Response codes**\n- `201 Created`: at least one new record was added to the queue.\n- `200 OK`: the request was valid but all record sources were already present\n in the queue — no new records were inserted. The `record_sources` array in\n the response body will be empty.\n","deprecated":null,"version":null,"openapi":"https://api.arize.com/v2/spec.yaml post /v2/annotation-queues/{annotation_queue_id}/records","href":"/api-reference/annotation-queues/create-annotation-queue-records","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n li: \"li\",\n p: \"p\",\n pre: \"pre\",\n span: \"span\",\n strong: \"strong\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n }, {CodeBlock, Note} = _components;\n if (!CodeBlock) _missingMdxReference(\"CodeBlock\", true);\n if (!Note) _missingMdxReference(\"Note\", true);\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Add new records from spans, traces, sessions, or dataset examples to an existing annotation queue.\"\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Payload Requirements\"\n })\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"At least one record source is required.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"At most 2 record sources are allowed per request\"\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"For project record sources: \", _jsx(_components.code, {\n children: \"start_time\"\n }), \" must be before \", _jsx(_components.code, {\n children: \"end_time\"\n }), \", and the range must not exceed 7 days.\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"For dataset record source: all \", _jsx(_components.code, {\n children: \"example_ids\"\n }), \" must be non-empty strings.\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"For project record source:\", \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"span records: all \", _jsx(_components.code, {\n children: \"span_ids\"\n }), \" must be non-empty strings.\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"trace records: all \", _jsx(_components.code, {\n children: \"trace_ids\"\n }), \" must be non-empty strings.\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"session records: all \", _jsx(_components.code, {\n children: \"session_ids\"\n }), \" must be non-empty strings.\"]\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.li, {\n children: \"At most 500 records total may be added in one request.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"At most 100 session records total may be added in one request.\"\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Valid example (span record)\"\n })\n }), \"\\n\", _jsx(CodeBlock, {\n numberOfLines: \"11\",\n language: \"json\",\n children: _jsx(_components.pre, {\n className: \"shiki shiki-themes github-light-default dark-plus\",\n style: {\n backgroundColor: \"#ffffff\",\n \"--shiki-dark-bg\": \"#0B0C0E\",\n color: \"#1f2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n language: \"json\",\n children: _jsxs(_components.code, {\n language: \"json\",\n numberOfLines: \"11\",\n children: [_jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"{\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"record_sources\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": [\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"record_type\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"SPAN\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"project_id\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"TW9kZWw6MTIzOmFCY0Q=\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"start_time\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"2026-01-15T00:00:00Z\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"end_time\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"2026-01-16T00:00:00Z\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"span_ids\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": [\"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"U3BhbjoxOmFCY0Q=\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"]\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" }\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" ]\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"}\"\n })\n }), \"\\n\"]\n })\n })\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Valid example (trace record)\"\n })\n }), \"\\n\", _jsx(CodeBlock, {\n numberOfLines: \"11\",\n language: \"json\",\n children: _jsx(_components.pre, {\n className: \"shiki shiki-themes github-light-default dark-plus\",\n style: {\n backgroundColor: \"#ffffff\",\n \"--shiki-dark-bg\": \"#0B0C0E\",\n color: \"#1f2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n language: \"json\",\n children: _jsxs(_components.code, {\n language: \"json\",\n numberOfLines: \"11\",\n children: [_jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"{\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"record_sources\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": [\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"record_type\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"TRACE\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"project_id\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"TW9kZWw6MTIzOmFCY0Q=\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"start_time\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"2026-01-15T00:00:00Z\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"end_time\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"2026-01-16T00:00:00Z\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"trace_ids\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": [\"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"8fe3373f-0da4-4a8e-b57f-5c8878cfb747\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"]\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" }\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" ]\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"}\"\n })\n }), \"\\n\"]\n })\n })\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Valid example (session record)\"\n })\n }), \"\\n\", _jsx(CodeBlock, {\n numberOfLines: \"11\",\n language: \"json\",\n children: _jsx(_components.pre, {\n className: \"shiki shiki-themes github-light-default dark-plus\",\n style: {\n backgroundColor: \"#ffffff\",\n \"--shiki-dark-bg\": \"#0B0C0E\",\n color: \"#1f2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n language: \"json\",\n children: _jsxs(_components.code, {\n language: \"json\",\n numberOfLines: \"11\",\n children: [_jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"{\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"record_sources\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": [\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"record_type\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"SESSION\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"project_id\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"TW9kZWw6MTIzOmFCY0Q=\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"start_time\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"2026-01-15T00:00:00Z\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"end_time\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"2026-01-16T00:00:00Z\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"session_ids\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": [\"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"session-123\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"]\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" }\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" ]\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"}\"\n })\n }), \"\\n\"]\n })\n })\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"Invalid example\"\n }), \" (span record with \", _jsx(_components.code, {\n children: \"start_time\"\n }), \" after \", _jsx(_components.code, {\n children: \"end_time\"\n }), \")\"]\n }), \"\\n\", _jsx(CodeBlock, {\n numberOfLines: \"11\",\n language: \"json\",\n children: _jsx(_components.pre, {\n className: \"shiki shiki-themes github-light-default dark-plus\",\n style: {\n backgroundColor: \"#ffffff\",\n \"--shiki-dark-bg\": \"#0B0C0E\",\n color: \"#1f2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n language: \"json\",\n children: _jsxs(_components.code, {\n language: \"json\",\n numberOfLines: \"11\",\n children: [_jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"{\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"record_sources\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": [\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" {\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"record_type\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"SPAN\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"project_id\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"TW9kZWw6MTIzOmFCY0Q=\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"start_time\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"2026-01-20T00:00:00Z\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"end_time\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"2026-01-15T00:00:00Z\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"span_ids\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": [\"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"U3BhbjoxOmFCY0Q=\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"]\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" }\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \" ]\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"}\"\n })\n }), \"\\n\"]\n })\n })\n }), \"\\n\", _jsx(Note, {\n children: \"If no example_ids are provided for a dataset record source, all examples in the dataset will be added to the queue only when the total records from all sources does not exceed 500.\"\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Response codes\"\n })\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"201 Created\"\n }), \": at least one new record was added to the queue.\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"200 OK\"\n }), \": the request was valid but all record sources were already present\\nin the queue — no new records were inserted. The \", _jsx(_components.code, {\n children: \"record_sources\"\n }), \" array in\\nthe response body will be empty.\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\nfunction _missingMdxReference(id, component) {\n throw new Error(\"Expected \" + (component ? \"component\" : \"object\") + \" `\" + id + \"` to be defined: you likely forgot to import, pass, or provide it.\");\n}\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":{"theme":{"light":"github-light-default","dark":"github-dark-default"}},"config":{},"pageMetadata":{"title":"Create annotation queue records","description":"Add new records from spans, traces, sessions, or dataset examples to an existing annotation queue.\n\n**Payload Requirements**\n - At least one record source is required.\n - At most 2 record sources are allowed per request\n - For project record sources: `start_time` must be before `end_time`, and the range must not exceed 7 days.\n - For dataset record source: all `example_ids` must be non-empty strings.\n - For project record source:\n - span records: all `span_ids` must be non-empty strings.\n - trace records: all `trace_ids` must be non-empty strings.\n - session records: all `session_ids` must be non-empty strings.\n - At most 500 records total may be added in one request.\n - At most 100 session records total may be added in one request.\n\n**Valid example (span record)**\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"SPAN\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-15T00:00:00Z\",\n \"end_time\": \"2026-01-16T00:00:00Z\",\n \"span_ids\": [\"U3BhbjoxOmFCY0Q=\"]\n }\n ]\n}\n```\n\n**Valid example (trace record)**\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"TRACE\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-15T00:00:00Z\",\n \"end_time\": \"2026-01-16T00:00:00Z\",\n \"trace_ids\": [\"8fe3373f-0da4-4a8e-b57f-5c8878cfb747\"]\n }\n ]\n}\n```\n\n**Valid example (session record)**\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"SESSION\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-15T00:00:00Z\",\n \"end_time\": \"2026-01-16T00:00:00Z\",\n \"session_ids\": [\"session-123\"]\n }\n ]\n}\n```\n\n**Invalid example** (span record with `start_time` after `end_time`)\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"SPAN\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-20T00:00:00Z\",\n \"end_time\": \"2026-01-15T00:00:00Z\",\n \"span_ids\": [\"U3BhbjoxOmFCY0Q=\"]\n }\n ]\n}\n```\n\n\u003cNote>If no example_ids are provided for a dataset record source, all examples in the dataset will be added to the queue only when the total records from all sources does not exceed 500.\u003c/Note>\n\n**Response codes**\n- `201 Created`: at least one new record was added to the queue.\n- `200 OK`: the request was valid but all record sources were already present\n in the queue — no new records were inserted. The `record_sources` array in\n the response body will be empty.\n","deprecated":null,"version":null,"openapi":"https://api.arize.com/v2/spec.yaml post /v2/annotation-queues/{annotation_queue_id}/records","href":"/api-reference/annotation-queues/create-annotation-queue-records","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/arize-ax/6a30b7a67da02161/analytics.js","/docs/_mintlify/custom/arize-ax/67a4d27b62fababa/product-selector.js"],"openApiReferenceData":{"operation":{"x-release-status":"stable","tags":["Annotation Queues"],"operationId":"create_annotation_queue_record","x-optic-no-examples":true,"summary":"Create annotation queue records","description":"Add new records from spans, traces, sessions, or dataset examples to an existing annotation queue.\n\n**Payload Requirements**\n - At least one record source is required.\n - At most 2 record sources are allowed per request\n - For project record sources: `start_time` must be before `end_time`, and the range must not exceed 7 days.\n - For dataset record source: all `example_ids` must be non-empty strings.\n - For project record source:\n - span records: all `span_ids` must be non-empty strings.\n - trace records: all `trace_ids` must be non-empty strings.\n - session records: all `session_ids` must be non-empty strings.\n - At most 500 records total may be added in one request.\n - At most 100 session records total may be added in one request.\n\n**Valid example (span record)**\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"SPAN\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-15T00:00:00Z\",\n \"end_time\": \"2026-01-16T00:00:00Z\",\n \"span_ids\": [\"U3BhbjoxOmFCY0Q=\"]\n }\n ]\n}\n```\n\n**Valid example (trace record)**\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"TRACE\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-15T00:00:00Z\",\n \"end_time\": \"2026-01-16T00:00:00Z\",\n \"trace_ids\": [\"8fe3373f-0da4-4a8e-b57f-5c8878cfb747\"]\n }\n ]\n}\n```\n\n**Valid example (session record)**\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"SESSION\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-15T00:00:00Z\",\n \"end_time\": \"2026-01-16T00:00:00Z\",\n \"session_ids\": [\"session-123\"]\n }\n ]\n}\n```\n\n**Invalid example** (span record with `start_time` after `end_time`)\n```json\n{\n \"record_sources\": [\n {\n \"record_type\": \"SPAN\",\n \"project_id\": \"TW9kZWw6MTIzOmFCY0Q=\",\n \"start_time\": \"2026-01-20T00:00:00Z\",\n \"end_time\": \"2026-01-15T00:00:00Z\",\n \"span_ids\": [\"U3BhbjoxOmFCY0Q=\"]\n }\n ]\n}\n```\n\n\u003cNote>If no example_ids are provided for a dataset record source, all examples in the dataset will be added to the queue only when the total records from all sources does not exceed 500.\u003c/Note>\n\n**Response codes**\n- `201 Created`: at least one new record was added to the queue.\n- `200 OK`: the request was valid but all record sources were already present\n in the queue — no new records were inserted. The `record_sources` array in\n the response body will be empty.\n","parameters":["07d49594-9c64-4963-9b35-bce8dfb362f3"],"requestBody":"3f15e813-8b8b-491e-a808-b39f1b1be4c8","responses":{"200":"ed86692b-1cd9-40a4-83f3-3f78decf31bc","201":"948257ff-8584-4fce-9db1-61e3b15d6b16","400":"e77d38d7-a96c-460a-9e5e-749a327b07d6","401":"039a3423-9c93-47e0-92e8-beff734a7224","403":"2c177cf0-7deb-45c4-8eea-5fdb40b7959e","404":"36349283-605b-4c8a-9dcf-e4d09c9e18b6","422":"78dea7ce-a44e-4124-bd84-7c6baf96403c","429":"d8fbcca0-aa38-4a58-8194-a8efe819d176"},"method":"post","type":"path","servers":["41acad41-ab19-4b4c-b465-a4976eae4f32","fd90bffd-59f4-44b9-8f51-950eb953252d","7ddd13fd-8149-4110-a240-53637921fee4"],"security":["47dce434-0a51-44e3-9495-f9b2ef2d887b"],"path":"/v2/annotation-queues/{annotation_queue_id}/records","baseUrlOptions":["https://api.arize.com","https://api.{region}.arize.com","https://{host}"],"title":"Create annotation queue records","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"07d49594-9c64-4963-9b35-bce8dfb362f3":{"name":"annotation_queue_id","in":"path","description":"The unique annotation queue identifier (base64)","required":true,"schema":{"type":"string","description":"The unique annotation queue identifier (base64)\nA universally unique identifier (base64-encoded opaque string).","example":"RW50aXR5OjEyMzQ1","isRequired":true,"uniqueKey":"","typeLabel":"string"},"example":"QW5ub3RhdGlvblF1ZXVlOjEyMzQ1"}},"requestBody":{"description":"Body containing records to add to an annotation queue","required":true,"content":{"application/json":{"schema":{"type":"object","required":["record_sources"],"properties":{"record_sources":{"type":"array","minItems":1,"maxItems":2,"items":{"oneOf":[{"type":"object","required":["record_type","dataset_id"],"properties":{"record_type":{"type":"string","enum":["EXAMPLE"],"description":"Discriminator identifying this record source as dataset examples. Must be `EXAMPLE` for dataset example records.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.0.record_type","typeLabel":"enum\u003cstring>"},"dataset_id":{"type":"string","description":"The dataset ID these examples belong to","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.0.dataset_id","typeLabel":"string"},"dataset_version_id":{"type":"string","description":"Optional. The specific dataset version to use. If omitted, the latest version is used.\n","uniqueKey":"record_sources.items.[INDEX].oneOf.0.dataset_version_id","typeLabel":"string"},"example_ids":{"type":"array","maxItems":500,"items":{"type":"string","uniqueKey":"record_sources.items.[INDEX].oneOf.0.example_ids.items.[INDEX]","typeLabel":"string"},"uniqueItems":true,"description":"Optional. List of example IDs within the dataset to add to the queue. If omitted, all examples in the dataset (or dataset version) are added, provided the total records from all sources does not exceed 500.\n","uniqueKey":"record_sources.items.[INDEX].oneOf.0.example_ids","typeLabel":"string[]"}},"additionalProperties":false,"uniqueKey":"record_sources.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","required":["record_type","project_id","span_ids","start_time","end_time"],"properties":{"record_type":{"type":"string","enum":["SPAN"],"description":"Discriminator identifying this record source as project spans. Must be `SPAN` for span records.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.1.record_type","typeLabel":"enum\u003cstring>"},"project_id":{"type":"string","description":"The project ID these spans belong to","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.1.project_id","typeLabel":"string"},"start_time":{"type":"string","format":"date-time","description":"Start of the time range to search for spans. The range (end_time - start_time) must not exceed 7 days.\n","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.1.start_time","typeLabel":"string\u003cdate-time>"},"end_time":{"type":"string","format":"date-time","description":"End of the time range. Must be after start_time.\n","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.1.end_time","typeLabel":"string\u003cdate-time>"},"span_ids":{"type":"array","maxItems":500,"items":{"type":"string","uniqueKey":"record_sources.items.[INDEX].oneOf.1.span_ids.items.[INDEX]","typeLabel":"string"},"minItems":1,"uniqueItems":true,"description":"List of span IDs to add to the queue","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.1.span_ids","typeLabel":"string[]"}},"additionalProperties":false,"uniqueKey":"record_sources.items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"object","required":["record_type","project_id","trace_ids","start_time","end_time"],"properties":{"record_type":{"type":"string","enum":["TRACE"],"description":"Discriminator identifying this record as a trace record.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.2.record_type","typeLabel":"enum\u003cstring>"},"project_id":{"type":"string","description":"The project ID these traces belong to.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.2.project_id","typeLabel":"string"},"start_time":{"type":"string","format":"date-time","description":"Start of the time range used to resolve each trace's root span. The range (end_time - start_time) must not exceed 7 days.\n","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.2.start_time","typeLabel":"string\u003cdate-time>"},"end_time":{"type":"string","format":"date-time","description":"End of the time range. Must be after start_time.\n","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.2.end_time","typeLabel":"string\u003cdate-time>"},"trace_ids":{"type":"array","maxItems":500,"items":{"type":"string","uniqueKey":"record_sources.items.[INDEX].oneOf.2.trace_ids.items.[INDEX]","typeLabel":"string"},"minItems":1,"uniqueItems":true,"description":"List of trace IDs to add to the queue.\n","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.2.trace_ids","typeLabel":"string[]"}},"additionalProperties":false,"uniqueKey":"record_sources.items.[INDEX].oneOf.2","typeLabel":"object"},{"type":"object","required":["record_type","project_id","session_ids","start_time","end_time"],"properties":{"record_type":{"type":"string","enum":["SESSION"],"description":"Discriminator identifying this record as a session record.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.3.record_type","typeLabel":"enum\u003cstring>"},"project_id":{"type":"string","description":"The project ID these sessions belong to.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.3.project_id","typeLabel":"string"},"start_time":{"type":"string","format":"date-time","description":"Start of the time range used to resolve each session's first trace. The range (end_time - start_time) must not exceed 7 days.\n","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.3.start_time","typeLabel":"string\u003cdate-time>"},"end_time":{"type":"string","format":"date-time","description":"End of the time range. Must be after start_time.\n","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.3.end_time","typeLabel":"string\u003cdate-time>"},"session_ids":{"type":"array","maxItems":100,"items":{"type":"string","uniqueKey":"record_sources.items.[INDEX].oneOf.3.session_ids.items.[INDEX]","typeLabel":"string"},"minItems":1,"uniqueItems":true,"description":"List of session IDs to add to the queue. A request may contain at most 100 session IDs in total across all record sources.\n","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].oneOf.3.session_ids","typeLabel":"string[]"}},"additionalProperties":false,"uniqueKey":"record_sources.items.[INDEX].oneOf.3","typeLabel":"object"}],"uniqueKey":"record_sources.items.[INDEX]","typeLabel":"object"},"description":"Record sources to add to the annotation queue. At most 2 record sources (projects or datasets) may be provided in a single request. The total number of records resolved from all sources must not exceed 500. The total number of session records across all sources must not exceed 100.","isRequired":true,"uniqueKey":"record_sources","typeLabel":"object[]"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"record_sources":[{"record_type":"SPAN","project_id":"proj_abc123","start_time":"2024-01-15T00:00:00Z","end_time":"2024-01-15T23:59:59Z","span_ids":["span_abc123","span_def456"]}]},"examples":{"Example":{"title":"Example","value":{"record_sources":[{"record_type":"SPAN","project_id":"proj_abc123","start_time":"2024-01-15T00:00:00Z","end_time":"2024-01-15T23:59:59Z","span_ids":["span_abc123","span_def456"]}]}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"ed86692b-1cd9-40a4-83f3-3f78decf31bc":{"description":"Returns the created annotation queue records","content":{"application/json":{"schema":{"type":"object","required":["record_sources"],"properties":{"record_sources":{"type":"array","items":{"type":"object","description":"A record in an annotation queue with its data","required":["id","annotation_queue_id","source_type","data","annotations","trace_annotations","session_annotations","evaluations","assigned_users"],"properties":{"id":{"type":"string","description":"The unique identifier for the record","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].id","typeLabel":"string"},"annotation_queue_id":{"type":"string","description":"The annotation queue this record belongs to","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].annotation_queue_id","typeLabel":"string"},"source_type":{"type":"string","enum":["SPANS","DATASET"],"description":"Source type of the annotation queue record.\n- SPANS - The record originates from span data.\n- DATASET - The record originates from a dataset example.\n","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].source_type","typeLabel":"enum\u003cstring>"},"data":{"type":"object","additionalProperties":true,"description":"Record data as flat key-value pairs containing span or dataset fields. Does not include annotation or evaluation columns.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].data","typeLabel":"object"},"annotations":{"type":"array","items":{"type":"object","description":"A human annotation on a record.","required":["name"],"properties":{"name":{"type":"string","description":"The name of the annotation","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].name","typeLabel":"string"},"score":{"type":"number","format":"double","description":"Numeric score for the annotation","uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].score","typeLabel":"number\u003cdouble>"},"label":{"type":"string","description":"Categorical label for the annotation","uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].label","typeLabel":"string"},"text":{"type":"string","description":"Free-form text note for the annotation","uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].text","typeLabel":"string"},"updated_at":{"type":"string","format":"date-time","description":"Timestamp when the annotation was last updated","uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"annotator":{"type":"object","description":"The user who made this annotation","required":["id","email"],"x-forward-compatible":true,"properties":{"id":{"type":"string","description":"The unique identifier for the user","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].annotator.id","typeLabel":"string"},"email":{"type":"string","format":"email","description":"An email address","example":"user@example.com","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].annotator.email","typeLabel":"string\u003cemail>"}},"additionalProperties":false,"uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].annotator","typeLabel":"object"}},"additionalProperties":false,"x-forward-compatible":true,"uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX]","typeLabel":"object"},"description":"Annotations on this record.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].annotations","typeLabel":"object[]"},"trace_annotations":{"type":"array","items":{"type":"object","description":"A human annotation on a record.","required":["name"],"properties":{"name":{"type":"string","description":"The name of the annotation","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].name","typeLabel":"string"},"score":{"type":"number","format":"double","description":"Numeric score for the annotation","uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].score","typeLabel":"number\u003cdouble>"},"label":{"type":"string","description":"Categorical label for the annotation","uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].label","typeLabel":"string"},"text":{"type":"string","description":"Free-form text note for the annotation","uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].text","typeLabel":"string"},"updated_at":{"type":"string","format":"date-time","description":"Timestamp when the annotation was last updated","uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"annotator":{"type":"object","description":"The user who made this annotation","required":["id","email"],"x-forward-compatible":true,"properties":{"id":{"type":"string","description":"The unique identifier for the user","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].annotator.id","typeLabel":"string"},"email":{"type":"string","format":"email","description":"An email address","example":"user@example.com","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].annotator.email","typeLabel":"string\u003cemail>"}},"additionalProperties":false,"uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].annotator","typeLabel":"object"}},"additionalProperties":false,"x-forward-compatible":true,"uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX]","typeLabel":"object"},"description":"Trace annotations on this record.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].trace_annotations","typeLabel":"object[]"},"session_annotations":{"type":"array","items":{"type":"object","description":"A human annotation on a record.","required":["name"],"properties":{"name":{"type":"string","description":"The name of the annotation","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].name","typeLabel":"string"},"score":{"type":"number","format":"double","description":"Numeric score for the annotation","uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].score","typeLabel":"number\u003cdouble>"},"label":{"type":"string","description":"Categorical label for the annotation","uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].label","typeLabel":"string"},"text":{"type":"string","description":"Free-form text note for the annotation","uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].text","typeLabel":"string"},"updated_at":{"type":"string","format":"date-time","description":"Timestamp when the annotation was last updated","uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"annotator":{"type":"object","description":"The user who made this annotation","required":["id","email"],"x-forward-compatible":true,"properties":{"id":{"type":"string","description":"The unique identifier for the user","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].annotator.id","typeLabel":"string"},"email":{"type":"string","format":"email","description":"An email address","example":"user@example.com","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].annotator.email","typeLabel":"string\u003cemail>"}},"additionalProperties":false,"uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].annotator","typeLabel":"object"}},"additionalProperties":false,"x-forward-compatible":true,"uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX]","typeLabel":"object"},"description":"Session annotations on this record.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].session_annotations","typeLabel":"object[]"},"evaluations":{"type":"array","items":{"type":"object","description":"An evaluation result on a record.","required":["name"],"properties":{"name":{"type":"string","description":"The name of the evaluation","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX].name","typeLabel":"string"},"score":{"type":"number","format":"double","description":"Numeric score for the evaluation","uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX].score","typeLabel":"number\u003cdouble>"},"label":{"type":"string","description":"Categorical label for the evaluation","uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX].label","typeLabel":"string"},"explanation":{"type":"string","description":"Explanation for the evaluation result","uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX].explanation","typeLabel":"string"},"metadata":{"type":"object","additionalProperties":true,"description":"Metadata associated with the evaluation, including task and run identifiers\nwhen available. Omitted when no metadata is available.\n","uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX].metadata","typeLabel":"object"}},"additionalProperties":false,"x-forward-compatible":true,"uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX]","typeLabel":"object"},"description":"Evaluation results on this record","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].evaluations","typeLabel":"object[]"},"assigned_users":{"type":"array","items":{"type":"object","description":"A user assigned to a record with their completion status","required":["user","completion_status"],"properties":{"user":{"type":"object","description":"A user assigned as an annotator, identified by ID and email.","required":["id","email"],"properties":{"id":{"type":"string","description":"The unique identifier for the user","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].assigned_users.items.[INDEX].user.id","typeLabel":"string"},"email":{"type":"string","format":"email","description":"An email address","example":"user@example.com","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].assigned_users.items.[INDEX].user.email","typeLabel":"string\u003cemail>"}},"additionalProperties":false,"x-forward-compatible":true,"isRequired":true,"uniqueKey":"record_sources.items.[INDEX].assigned_users.items.[INDEX].user","typeLabel":"object"},"completion_status":{"type":"string","enum":["PENDING","COMPLETED"],"description":"Completion status for a user's annotation assignment on a record.\n- PENDING - The user has not yet submitted annotations.\n- COMPLETED - The user has submitted annotations.\n","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].assigned_users.items.[INDEX].completion_status","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"x-forward-compatible":true,"uniqueKey":"record_sources.items.[INDEX].assigned_users.items.[INDEX]","typeLabel":"object"},"description":"Users assigned to this record","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].assigned_users","typeLabel":"object[]"},"granularity":{"oneOf":[{"type":"string","description":"The granularity of the record, if applicable.","enum":["SPAN","TRACE","SESSION"],"uniqueKey":"record_sources.items.[INDEX].granularity.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"record_sources.items.[INDEX].granularity.oneOf.1","typeLabel":"null"}],"uniqueKey":"record_sources.items.[INDEX].granularity","typeLabel":"enum\u003cstring> | null"}},"additionalProperties":false,"x-forward-compatible":true,"uniqueKey":"record_sources.items.[INDEX]","typeLabel":"object"},"description":"The created annotation queue records","isRequired":true,"uniqueKey":"record_sources","typeLabel":"object[]"}},"additionalProperties":false,"x-forward-compatible":true,"uniqueKey":"","typeLabel":"object"},"example":{"record_sources":[{"id":"aqr_001","annotation_queue_id":"aq_abc123","source_type":"SPANS","data":{"input":"What is the capital of France?","output":"Paris"},"annotations":[],"trace_annotations":[],"session_annotations":[],"evaluations":[],"assigned_users":[{"user":{"id":"usr_123","email":"reviewer@example.com"},"completion_status":"PENDING"}]},{"id":"aqr_002","annotation_queue_id":"aq_abc123","source_type":"DATASET","data":{"input":"Summarize this article in one sentence.","output":"The article discusses climate change impacts."},"annotations":[],"trace_annotations":[],"session_annotations":[],"evaluations":[],"assigned_users":[{"user":{"id":"usr_123","email":"reviewer@example.com"},"completion_status":"PENDING"}]}]},"examples":{"Example":{"title":"Example","value":{"record_sources":[{"id":"aqr_001","annotation_queue_id":"aq_abc123","source_type":"SPANS","data":{"input":"What is the capital of France?","output":"Paris"},"annotations":[],"trace_annotations":[],"session_annotations":[],"evaluations":[],"assigned_users":[{"user":{"id":"usr_123","email":"reviewer@example.com"},"completion_status":"PENDING"}]},{"id":"aqr_002","annotation_queue_id":"aq_abc123","source_type":"DATASET","data":{"input":"Summarize this article in one sentence.","output":"The article discusses climate change impacts."},"annotations":[],"trace_annotations":[],"session_annotations":[],"evaluations":[],"assigned_users":[{"user":{"id":"usr_123","email":"reviewer@example.com"},"completion_status":"PENDING"}]}]}}},"exampleType":"examples"}},"exampleType":"examples"},"948257ff-8584-4fce-9db1-61e3b15d6b16":{"description":"Returns the created annotation queue records","content":{"application/json":{"schema":{"type":"object","required":["record_sources"],"properties":{"record_sources":{"type":"array","items":{"type":"object","description":"A record in an annotation queue with its data","required":["id","annotation_queue_id","source_type","data","annotations","trace_annotations","session_annotations","evaluations","assigned_users"],"properties":{"id":{"type":"string","description":"The unique identifier for the record","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].id","typeLabel":"string"},"annotation_queue_id":{"type":"string","description":"The annotation queue this record belongs to","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].annotation_queue_id","typeLabel":"string"},"source_type":{"type":"string","enum":["SPANS","DATASET"],"description":"Source type of the annotation queue record.\n- SPANS - The record originates from span data.\n- DATASET - The record originates from a dataset example.\n","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].source_type","typeLabel":"enum\u003cstring>"},"data":{"type":"object","additionalProperties":true,"description":"Record data as flat key-value pairs containing span or dataset fields. Does not include annotation or evaluation columns.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].data","typeLabel":"object"},"annotations":{"type":"array","items":{"type":"object","description":"A human annotation on a record.","required":["name"],"properties":{"name":{"type":"string","description":"The name of the annotation","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].name","typeLabel":"string"},"score":{"type":"number","format":"double","description":"Numeric score for the annotation","uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].score","typeLabel":"number\u003cdouble>"},"label":{"type":"string","description":"Categorical label for the annotation","uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].label","typeLabel":"string"},"text":{"type":"string","description":"Free-form text note for the annotation","uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].text","typeLabel":"string"},"updated_at":{"type":"string","format":"date-time","description":"Timestamp when the annotation was last updated","uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"annotator":{"type":"object","description":"The user who made this annotation","required":["id","email"],"x-forward-compatible":true,"properties":{"id":{"type":"string","description":"The unique identifier for the user","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].annotator.id","typeLabel":"string"},"email":{"type":"string","format":"email","description":"An email address","example":"user@example.com","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].annotator.email","typeLabel":"string\u003cemail>"}},"additionalProperties":false,"uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX].annotator","typeLabel":"object"}},"additionalProperties":false,"x-forward-compatible":true,"uniqueKey":"record_sources.items.[INDEX].annotations.items.[INDEX]","typeLabel":"object"},"description":"Annotations on this record.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].annotations","typeLabel":"object[]"},"trace_annotations":{"type":"array","items":{"type":"object","description":"A human annotation on a record.","required":["name"],"properties":{"name":{"type":"string","description":"The name of the annotation","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].name","typeLabel":"string"},"score":{"type":"number","format":"double","description":"Numeric score for the annotation","uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].score","typeLabel":"number\u003cdouble>"},"label":{"type":"string","description":"Categorical label for the annotation","uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].label","typeLabel":"string"},"text":{"type":"string","description":"Free-form text note for the annotation","uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].text","typeLabel":"string"},"updated_at":{"type":"string","format":"date-time","description":"Timestamp when the annotation was last updated","uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"annotator":{"type":"object","description":"The user who made this annotation","required":["id","email"],"x-forward-compatible":true,"properties":{"id":{"type":"string","description":"The unique identifier for the user","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].annotator.id","typeLabel":"string"},"email":{"type":"string","format":"email","description":"An email address","example":"user@example.com","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].annotator.email","typeLabel":"string\u003cemail>"}},"additionalProperties":false,"uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX].annotator","typeLabel":"object"}},"additionalProperties":false,"x-forward-compatible":true,"uniqueKey":"record_sources.items.[INDEX].trace_annotations.items.[INDEX]","typeLabel":"object"},"description":"Trace annotations on this record.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].trace_annotations","typeLabel":"object[]"},"session_annotations":{"type":"array","items":{"type":"object","description":"A human annotation on a record.","required":["name"],"properties":{"name":{"type":"string","description":"The name of the annotation","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].name","typeLabel":"string"},"score":{"type":"number","format":"double","description":"Numeric score for the annotation","uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].score","typeLabel":"number\u003cdouble>"},"label":{"type":"string","description":"Categorical label for the annotation","uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].label","typeLabel":"string"},"text":{"type":"string","description":"Free-form text note for the annotation","uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].text","typeLabel":"string"},"updated_at":{"type":"string","format":"date-time","description":"Timestamp when the annotation was last updated","uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"annotator":{"type":"object","description":"The user who made this annotation","required":["id","email"],"x-forward-compatible":true,"properties":{"id":{"type":"string","description":"The unique identifier for the user","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].annotator.id","typeLabel":"string"},"email":{"type":"string","format":"email","description":"An email address","example":"user@example.com","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].annotator.email","typeLabel":"string\u003cemail>"}},"additionalProperties":false,"uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX].annotator","typeLabel":"object"}},"additionalProperties":false,"x-forward-compatible":true,"uniqueKey":"record_sources.items.[INDEX].session_annotations.items.[INDEX]","typeLabel":"object"},"description":"Session annotations on this record.","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].session_annotations","typeLabel":"object[]"},"evaluations":{"type":"array","items":{"type":"object","description":"An evaluation result on a record.","required":["name"],"properties":{"name":{"type":"string","description":"The name of the evaluation","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX].name","typeLabel":"string"},"score":{"type":"number","format":"double","description":"Numeric score for the evaluation","uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX].score","typeLabel":"number\u003cdouble>"},"label":{"type":"string","description":"Categorical label for the evaluation","uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX].label","typeLabel":"string"},"explanation":{"type":"string","description":"Explanation for the evaluation result","uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX].explanation","typeLabel":"string"},"metadata":{"type":"object","additionalProperties":true,"description":"Metadata associated with the evaluation, including task and run identifiers\nwhen available. Omitted when no metadata is available.\n","uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX].metadata","typeLabel":"object"}},"additionalProperties":false,"x-forward-compatible":true,"uniqueKey":"record_sources.items.[INDEX].evaluations.items.[INDEX]","typeLabel":"object"},"description":"Evaluation results on this record","isRequired":true,"uniqueKey":"record_sources.items.[INDEX].evaluations","typeLabel":"object[]"},"ass
[...]
